# Git snapshot 7f84c1e3975a349d288e7951a2667adeef5dab75

%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		opendht
Version:	1.3.3
Release:	%mkrel 1
Summary:	A C++11 Distributed Hash Table implementation
Group:		System/Libraries
License:	GPLv3+
Url:		https://github.com/savoirfairelinux/opendht
# Self-made tarball with git submodule
Source:		%{name}-%{version}.tar.xz
ExcludeArch:	armv5tl

BuildRequires:	cmake
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(msgpack)
BuildRequires:	pkgconfig(nettle)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(cython)

%description
A lightweight C++11 Distributed Hash Table implementation.

#----------------------------------------------------

%package -n	%{libname}
Summary:	A C++11 Distributed Hash Table implementation
Group:		System/Libraries

%description -n	%{libname}
A lightweight C++11 Distributed Hash Table implementation.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q

%build
%cmake -DOPENDHT_PYTHON=OFF

%make_build

%install
%make_install -C build

# we don't want these
find %{buildroot} -name '*.a' -delete

%files
%doc README.md
%license COPYING
%{_bindir}/dhtchat
%{_bindir}/dhtnode
%{_bindir}/dhtscanner
%{_mandir}/man1/dhtnode.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so


%changelog
* Sat Jun 03 2017 akien <akien> 1.3.3-1.mga6
+ Revision: 1106076
- Version 1.3.3 (fixes underlinking of msgpack)

* Mon Jan 02 2017 daviddavid <daviddavid> 1.2.1-3.mga6
+ Revision: 1079677
- do not build on armv5tl

* Sun Jan 01 2017 neoclust <neoclust> 1.2.1-2.mga6
+ Revision: 1079446
- Use a newer git snapshot ( needed by ring-daemon )

* Sun Jan 01 2017 daviddavid <daviddavid> 1.2.1-1.mga6
+ Revision: 1079238
- initial package opendht

